osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/43169?usp=email )
Change subject: deps: avoid redirect with eclipse gitlab
......................................................................
deps: avoid redirect with eclipse gitlab
Use ".git" at the end of gitlab URLs to avoid the redirects, e.g.:
warning: redirecting to https://gitlab.eclipse.org/eclipse/titan/titan.ProtocolModules.M3UA.git/
This is not just a cosmetic improvement that gets rid of these warnings,
but it actually has the effect that we make less requests to the gitlab
eclipse server and are less likely to trigger the rate limiting. On my
machine I do trigger it with "make deps" without this patch, and with
this patch I don't.
Change-Id: I4cfb625e0d09e2bbcab2eef89b521f94c9b6c42c
---
M deps/update.sh
1 file changed, 13 insertions(+), 2 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/69/43169/1
diff --git a/deps/update.sh b/deps/update.sh
index 332ce23..64c5b54 100755
--- a/deps/update.sh
+++ b/deps/update.sh
@@ -3,9 +3,20 @@
COMMIT="$2"
URL_PREFIX="$3"
+get_full_url() {
+ case "$URL_PREFIX" in
+ *gitlab*)
+ echo "$URL_PREFIX"/"$DIR".git
+ ;;
+ *)
+ echo "$URL_PREFIX"/"$DIR"
+ ;;
+ esac
+}
+
update_url() {
local current="$(git -C "$DIR" remote get-url origin)"
- local full_url="$URL_PREFIX"/"$DIR"
+ local full_url="$(get_full_url)"
if [ "$current" != "$full_url" ]; then
echo "[$DIR] Updating URL to $full_url"
@@ -18,7 +29,7 @@
update_url
else
echo "[$DIR] Initial git clone"
- git clone -q "$URL_PREFIX"/"$DIR"
+ git clone -q "$(get_full_url)"
fi
cd "$DIR"
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/43169?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I4cfb625e0d09e2bbcab2eef89b521f94c9b6c42c
Gerrit-Change-Number: 43169
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/43167?usp=email )
Change subject: deps: move "git clone" logic into update.sh
......................................................................
deps: move "git clone" logic into update.sh
Prepare to have more logic for cloning and updating git repositories in
the script, see follow-up patches. The purpose of this patch series is
to fix the rate limiting errors we are seeing from gitlab eclipse, that
lead to aborts of our ttcn3 jobs:
[titan.ProtocolModules.ROSE] Updating URL to https://gitlab.eclipse.org/eclipse/titan/titan.ProtocolModules.ROSE
remote: You have reached the limit of requests you can make to Eclipse GitLab. This could be caused by too many open tabs, which query the GitLab server in the background. Please close unused tabs, or put them to sleep so they don't issue requests needlessly.
fatal: unable to access 'https://gitlab.eclipse.org/eclipse/titan/titan.ProtocolModules.M3UA/': The requested URL returned error: 429
make[1]: *** [Makefile:174: titan.ProtocolModules.M3UA/update] Error 128
Change-Id: I7c1647edd11afac657acaf6add08903373eae585
---
M deps/Makefile
M deps/update.sh
2 files changed, 15 insertions(+), 8 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/67/43167/1
diff --git a/deps/Makefile b/deps/Makefile
index 306f1b2..4a6bd90 100644
--- a/deps/Makefile
+++ b/deps/Makefile
@@ -135,12 +135,8 @@
$(1)_HEAD!= if [ -d $(1) ]; then cd $(1) && git describe --tags 2>/dev/null || git rev-parse HEAD; fi
$(1)_MODIFIED!= if [ -d $(1) ]; then cd $(1) && git diff --quiet --exit-code || echo -n "1"; fi
-$(1):
- @echo "[$(1)] Initial git clone"
- @git clone -q $(2)/$(1)
-
.PHONY: $(1)/update
-$(1)/update: $(1)
+$(1)/update:
ifeq ($$($(1)_MODIFIED),1)
@echo "WARNING: $(1) skipped because it contains uncommitted modifications!"
else
@@ -149,16 +145,21 @@
@cd $(1) && git remote set-url origin $(2)/$(1) && git fetch
endif
ifneq ($$($(1)_HEAD),$($(1)_commit))
- @./update.sh "$(1)" "$($(1)_commit)"
+ @./update.sh "$(1)" "$($(1)_commit)" "$(2)"
endif
endif
.PHONY: $(1)/clean
-$(1)/clean: $(1)
+$(1)/clean:
ifeq ($$($(1)_MODIFIED),1)
@echo "WARNING: $(1) skipped because it contains uncommitted modifications!"
else
- cd $(1) && git fetch && git checkout -q -f "$($(1)_commit)" && git reset --hard
+ if [ -d $(1) ]; then \
+ cd $(1) && \
+ git fetch && \
+ git checkout -q -f "$($(1)_commit)" && \
+ git reset --hard; \
+ fi
endif
.PHONY: $(1)/distclean
diff --git a/deps/update.sh b/deps/update.sh
index 8099ed7..4a52279 100755
--- a/deps/update.sh
+++ b/deps/update.sh
@@ -1,6 +1,12 @@
#!/bin/sh -e
DIR="$1"
COMMIT="$2"
+URL_PREFIX="$3"
+
+if ! [ -d "$DIR" ]; then
+ echo "[$DIR] Initial git clone"
+ git clone -q "$URL_PREFIX"/"$DIR"
+fi
cd "$DIR"
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/43167?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I7c1647edd11afac657acaf6add08903373eae585
Gerrit-Change-Number: 43167
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/43170?usp=email )
Change subject: deps: fetch/clone: retry with backoff time
......................................................................
deps: fetch/clone: retry with backoff time
Replace the previous logic of running the whole Makefile again on any
failure, with wrapping all git clone and fetch commands in a new
retry_with_backoff_time function that actually sleeps before retrying
(a random amount of seconds to make less requests at once), and retries
up to 5 times, each time with likely more sleep time.
With this change it is more likely to succeed and we have less confusing
output as deps/Makefile will not run twice if it fails for any reason
(e.g. a syntax error).
Change-Id: I317c0357ff330a0626a622dadd1e44ba65b99545
---
M Makefile
M deps/update.sh
2 files changed, 29 insertions(+), 6 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/70/43170/1
diff --git a/Makefile b/Makefile
index 9cafa4c..b58fcf3 100644
--- a/Makefile
+++ b/Makefile
@@ -77,10 +77,8 @@
default: deps all
-# Eclipse GitLab has rate limiting and sometimes to many concurrent conns fail.
-# If -jN fails, retry with -j1.
.make.deps: deps/Makefile
- ($(MAKE) $(PARALLEL_MAKE) -C deps || $(MAKE) -j1 -C deps)
+ $(MAKE) $(PARALLEL_MAKE) -C deps
touch $@
.PHONY: deps
diff --git a/deps/update.sh b/deps/update.sh
index 64c5b54..1c8bf79 100755
--- a/deps/update.sh
+++ b/deps/update.sh
@@ -14,6 +14,31 @@
esac
}
+# Eclipse GitLab has rate limiting and sometimes to many concurrent conns fail.
+# If that happens, sleep and try again in a few (random) seconds, to give less
+# concurrent load to the server.
+retry_with_backoff_time() {
+ local max=5
+ local sec
+ local i
+
+ for i in $(seq 1 $max); do
+ if "$@"; then
+ return
+ fi
+
+ if [ $i -lt $max ]; then
+ sec=$(($i * $(shuf -i 1-10 -n1)))
+ echo "[$DIR] Failed ($i/$max), retrying in ${sec}s..."
+ sleep $sec
+ else
+ echo "[$DIR] Failed ($i/$max), giving up!"
+ exit 1
+ fi
+ echo "[$DIR] Retrying: $@"
+ done
+}
+
update_url() {
local current="$(git -C "$DIR" remote get-url origin)"
local full_url="$(get_full_url)"
@@ -21,7 +46,7 @@
if [ "$current" != "$full_url" ]; then
echo "[$DIR] Updating URL to $full_url"
git -C "$DIR" remote set-url origin "$full_url"
- git -C "$DIR" fetch
+ retry_with_backoff_time git -C "$DIR" fetch
fi
}
@@ -29,7 +54,7 @@
update_url
else
echo "[$DIR] Initial git clone"
- git clone -q "$(get_full_url)"
+ retry_with_backoff_time git clone -q "$(get_full_url)"
fi
cd "$DIR"
@@ -41,7 +66,7 @@
if ! git cat-file -e "$COMMIT"; then
echo "[$DIR] Missing $COMMIT, fetching git repository"
- git fetch
+ retry_with_backoff_time git fetch
fi
if git rev-parse -q "origin/$COMMIT" 1>/dev/null 2>&1; then
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/43170?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I317c0357ff330a0626a622dadd1e44ba65b99545
Gerrit-Change-Number: 43170
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Attention is currently required from: jolly.
Hello Jenkins Builder, laforge, pespin,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/libosmo-sigtran/+/42809?usp=email
to look at the new patch set (#11).
The following approvals got outdated and were removed:
Verified-1 by Jenkins Builder
Change subject: Add test case to verify proper DSCP settings
......................................................................
Add test case to verify proper DSCP settings
Related: SYS#8071
Change-Id: I6ac965998433b4d8213cce30fc3fcf8fe485a092
---
M tests/vty/vty_test_runner.py
1 file changed, 145 insertions(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/libosmo-sigtran refs/changes/09/42809/11
--
To view, visit https://gerrit.osmocom.org/c/libosmo-sigtran/+/42809?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: libosmo-sigtran
Gerrit-Branch: master
Gerrit-Change-Id: I6ac965998433b4d8213cce30fc3fcf8fe485a092
Gerrit-Change-Number: 42809
Gerrit-PatchSet: 11
Gerrit-Owner: jolly <andreas(a)eversberg.eu>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: jolly <andreas(a)eversberg.eu>
osmith has submitted this change. ( https://gerrit.osmocom.org/c/upf-benchmark/+/43165?usp=email )
Change subject: README: fix link to usermanual
......................................................................
README: fix link to usermanual
Change-Id: Ib78a9af939fac89fc4e2e346be3f9b9de664cac2
---
M README.md
1 file changed, 1 insertion(+), 1 deletion(-)
Approvals:
Jenkins Builder: Verified
pespin: Looks good to me, approved
diff --git a/README.md b/README.md
index e7b4841..ccf2d12 100644
--- a/README.md
+++ b/README.md
@@ -24,7 +24,7 @@
User Manual are [optionally] built in PDF form as part of the build process.
Pre-rendered PDF version of the current "master" can be found at
-[User Manual](https://ftp.osmocom.org/docs/latest/upfbenchmark-usermanual.pdf)
+[User Manual](https://ftp.osmocom.org/docs/upf-benchmark/master/upfbenchmark-user…
Mailing List
--
To view, visit https://gerrit.osmocom.org/c/upf-benchmark/+/43165?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: upf-benchmark
Gerrit-Branch: master
Gerrit-Change-Id: Ib78a9af939fac89fc4e2e346be3f9b9de664cac2
Gerrit-Change-Number: 43165
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Attention is currently required from: osmith.
pespin has posted comments on this change by osmith. ( https://gerrit.osmocom.org/c/upf-benchmark/+/43165?usp=email )
Change subject: README: fix link to usermanual
......................................................................
Patch Set 1: Code-Review+2
--
To view, visit https://gerrit.osmocom.org/c/upf-benchmark/+/43165?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: upf-benchmark
Gerrit-Branch: master
Gerrit-Change-Id: Ib78a9af939fac89fc4e2e346be3f9b9de664cac2
Gerrit-Change-Number: 43165
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-CC: Jenkins Builder
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Comment-Date: Wed, 05 Aug 2026 11:39:24 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes